[![pytest](https://github.com/fjosw/pyerrors/actions/workflows/pytest.yml/badge.svg)](https://github.com/fjosw/pyerrors/actions/workflows/pytest.yml) [![](https://img.shields.io/badge/python-3.7+-blue.svg)](https://www.python.org/downloads/) [![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT) [![arXiv](https://img.shields.io/badge/arXiv-2209.14371-b31b1b.svg)](https://arxiv.org/abs/2209.14371) [![DOI](https://camo.githubusercontent.com/9b2d3d12826d6b027d9853646f7c60e287589f356da17a134c997853e96fa9c1/68747470733a2f2f696d672e736869656c64732e696f2f62616467652f444f492d31302e313033382532467334313539322d2d3031392d2d303638362d2d322d626c7565)](https://doi.org/10.1016/j.cpc.2023.108750)
# pyerrors
`pyerrors` is a python framework for error computation and propagation of Markov chain Monte Carlo data from lattice field theory and statistical mechanics simulations.

- **Documentation:** https://fjosw.github.io/pyerrors/pyerrors.html
- **Examples:** https://github.com/fjosw/pyerrors/tree/develop/examples
- **Bug reports:** https://github.com/fjosw/pyerrors/issues

## Installation
Install the most recent release using pip and [pypi](https://pypi.org/project/pyerrors/):
```bash
pip install pyerrors     # Fresh install
pip install -U pyerrors  # Update
```
Install the most recent release using conda and [conda-forge](https://anaconda.org/conda-forge/pyerrors):
```bash
conda install -c conda-forge pyerrors  # Fresh install
conda update -c conda-forge pyerrors   # Update
```

## Contributing
We appreciate all contributions to the code, the documentation and the examples. If you want to get involved please have a look at our [contribution guideline](https://github.com/fjosw/pyerrors/blob/develop/CONTRIBUTING.md).
